name: Analyze with ShiftLeft NG SAST on Windows

on:
  pull_request:
  workflow_dispatch:

jobs:
  NGSAST-Win-Build:
    runs-on: windows-latest
    steps:
    - uses: actions/checkout@v2
    - uses: actions/setup-python@v2
      with:
        python-version: '3.8'
    - name: Download ShiftLeft cli
      run: |
        Invoke-WebRequest -Uri 'https://www.shiftleft.io/download/sl-latest-windows-x64.zip' -OutFile sl.zip
        Expand-Archive -Path sl.zip -DestinationPath .
    - name: Analyze with NG SAST
      run: |
        pip3 install -r requirements.txt
        .\sl analyze --wait --verbose --app flask-webgoat-win --tag branch=${GITHUB_REF} --python --cpg --beta . -- -l debug -t all
      env:
        SHIFTLEFT_ACCESS_TOKEN: ${{ secrets.SHIFTLEFT_ACCESS_TOKEN }}
